import { NgModule } from '@angular/core';
import {
    DxSelectBoxModule,
    DxDataGridModule,
    DxDateBoxModule,
    DxTextBoxModule,
    DxCheckBoxModule,
    DxTagBoxModule,
    DxListModule,
    DxRadioGroupModule,
    DxPieChartModule,
    DxChartModule,
    DxButtonModule,
    DxPivotGridModule,
    DxSliderModule,
    DxSchedulerModule,
    DxTemplateModule,
    DxValidatorModule,
    DxFormModule,
    DxFileUploaderModule,
    DxValidationSummaryModule,
    DxTabPanelModule,
    DevExtremeModule
} from "devextreme-angular";

@NgModule({
    imports: [
        DxSelectBoxModule,
        DxDataGridModule,
        DxDateBoxModule,
        DxTextBoxModule,
        DxCheckBoxModule,
        DxTagBoxModule,
        DxListModule,
        DxRadioGroupModule,
        DxPieChartModule,
        DxChartModule,
        DxButtonModule,
        DxPivotGridModule,
        DxSliderModule,
        DxSchedulerModule,
        DxTemplateModule,
        DxValidatorModule,
        DxFormModule,
        DxFileUploaderModule,
        DxValidationSummaryModule,
        DxTabPanelModule,
        DevExtremeModule
    ],
    exports: [
        DxSelectBoxModule,
        DxDataGridModule,
        DxDateBoxModule,
        DxTextBoxModule,
        DxCheckBoxModule,
        DxTagBoxModule,
        DxListModule,
        DxRadioGroupModule,
        DxPieChartModule,
        DxChartModule,
        DxButtonModule,
        DxPivotGridModule,
        DxSliderModule,
        DxSchedulerModule,
        DxTemplateModule,
        DxValidatorModule,
        DxFormModule,
        DxFileUploaderModule,
        DxValidationSummaryModule,
        DxTabPanelModule,
        DevExtremeModule
    ]
})
export class AppDxtremeModule { }
